0

After upgrading from 1.6.3 to 2.9.0, I'm getting the following errors when I try to bring up the Site Upload Preferences:

A PHP Error was encountered
Severity: Warning
Message: array_merge() [function.array-merge]: Argument #2 is not an array
Filename: models/file_upload_preferences_model.php
Line Number: 111

A PHP Error was encountered
Severity: Warning
Message: array_merge() [function.array-merge]: Argument #2 is not an array
Filename: models/file_upload_preferences_model.php
Line Number: 111

A PHP Error was encountered
Severity: Warning
Message: Cannot modify header information - headers already sent by (output started at /home/mysite.com/system/codeigniter/system/core/Exceptions.php:170)
Filename: core/Common.php
Line Number: 442

My issue started with the fact that I was using Mark Hout's File extension, and I was going to try to implement this fix:

https://ellislab.com/forums/viewthread/218268/

and I needed to get the upload directory's ID from the File Upload Preferences.

0

Solved my issue. Something during the upgrade process inserted this line into my system/expressionengine/config/config.php file:

$config['upload_preferences'] = 'Array';

I commented that out and no more errors. Hope this helps someone else.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.